#
# spec file for package lukemftp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lukemftp
BuildRequires:  update-alternatives
License:        BSD 3-Clause
Group:          Productivity/Networking/Ftp/Clients
Conflicts:      ftp
Provides:       nkitb:/usr/bin/ftp
PreReq:         update-alternatives
AutoReqProv:    on
Version:        1.5
Release:        598.11.14
Summary:        Enhanced FTP Client
Url:            ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         hostname.dif
Patch3:         %{name}-%{version}-secfix.dif
Patch4:         %{name}-%{version}-strict-aliasing-fix.diff
Patch5:         %{name}-%{version}-timeout-segfault.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lukemftp is the enhanced FTP client in NetBSD.



Authors:
--------
    Luke Mewburn <lukem@netbsd.org>

%define prefix   /usr

%prep
%setup
%patch
%patch1
%patch3
%patch4
%patch5

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} --prefix=%{prefix} --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} --target=%{_target_cpu}-suse-linux 
make

%install
make DESTDIR=$RPM_BUILD_ROOT/ install
mv $RPM_BUILD_ROOT/usr/bin/{,p}ftp
mv $RPM_BUILD_ROOT%{_mandir}/man1/{,p}ftp.1
touch ${RPM_BUILD_ROOT}%{_bindir}/ftp

%post
test -L %{_bindir}/ftp || rm -f %{_bindir}/ftp
update-alternatives --install  %{_bindir}/ftp ftp %{_bindir}/pftp 10 \
  --slave %{_mandir}/man1/ftp.1.gz ftp.1 %{_mandir}/man1/pftp.1.gz
update-alternatives --auto ftp

%preun
if [ $1 -eq 0 ]; then
  update-alternatives --remove ftp %{_bindir}/pftp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README THANKS
%ghost %{_bindir}/ftp
%{_bindir}/pftp
%doc %{_mandir}/man1/*

%changelog
* Mon Jan 31 2011 mkudlvasr@suse.cz
- fix bnc#666157 (minor - bogus code in %%post script)
* Thu Nov 18 2010 mkudlvasr@suse.cz
- fix segmentation fault when a connection times out (bnc#637816)
* Mon Mar 20 2006 postadal@suse.cz
- packaged %%ghost /usr/bin/ftp [#159341]
* Mon Mar 13 2006 postadal@suse.cz
- removed lftp from Osoletes [#156450]
* Sat Mar 11 2006 postadal@suse.cz
- added ftp and ftp.1 to alternative system, so they can be
  interchanged with lftp [#156450]
* Thu Mar  9 2006 postadal@suse.cz
- fixed update problem [#156450]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 postadal@suse.cz
- fixed code that broke strict aliasing
* Tue Jan 13 2004 schwab@suse.de
- Don't call aclocal.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Sep 19 2002 postadal@suse.cz
- default type of transfering files was reverted to network ASCII [#17006]
  (removed old patch)
* Wed May  8 2002 postadal@suse.cz
- security fix (buffer overflow on PASV from malicious server)
* Wed Apr  3 2002 postadal@suse.cz
- fixed to compile with autoconf-2.53
* Wed Sep 26 2001 kukuk@suse.de
- Compile with large file support
* Mon Aug 13 2001 cihlar@suse.cz
- explicitly set default type to binary [#9712]
* Thu Aug  2 2001 cihlar@suse.cz
- fixed hostname in "Connected to ..." [#9503]
* Sun Apr  1 2001 schwab@suse.de
- Get the initial transfer type right for the listings.
- Define _GNU_SOURCE for strptime.
- Fix autoconf test for size of off_t.
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Fri Dec  1 2000 smid@suse.cz
- new version 1.5
* Fri Sep 29 2000 kukuk@suse.de
- new package, split from nkitb
